{ pkgs ? import <nixpkgs> { }, lockPath }:
let inherit (pkgs) lib;
in lib.pipe lockPath [
  builtins.readFile
  builtins.fromJSON
  (builtins.getAttr "depends")
  (map ({ path, srcDir, ... }: ''path:"${path}/${srcDir}"''))
  lib.strings.concatLines
  (pkgs.writeText "nim.cfg")
]
